
function do_decrypt() {
  var adiv = document.getElementById('mydiv');  //Find the section we want to change
  var oldnode = document.getElementById('newdiv');  //Find the section we want to change
  var nextdivname = 'newdiv';                          //Create a name for the new section we are creating
  var newdiv = document.createElement('div');     //Write a new div in the html

	GibberishAES.size(256);	
	enc = GibberishAES.dec(document.test.sample.value, document.test.key.value);
//	document.test.sample.value = enc;



  newdiv.setAttribute("id", nextdivname);             //Assign the new Div a unique identifier
  newdiv.innerHTML = enc;
  try {
  	adiv.removeChild(oldnode);
  }
  catch(er) {
	// ignore the error.
  }
  adiv.appendChild(newdiv);                       //Append the new div to the anchor div
}
